# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           translation-filter
Version:        1.0
Release:        11%{?dist}
Summary:        A l10n file filter

Group:          Development/Languages
License:        GPLv2
URL:            http://fedorahosted.org/translation-filter
Source0:        http://fedorahosted.org/releases/t/r/translation-filter/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, desktop-file-utils
Requires:       translate-toolkit, pygtk2-libglade, pygtk2

%if 0%{?fedora}
BuildRequires:  PyQt4-devel
%endif

%description
A l10n file filter to check translations
%if 0%{?fedora}
%package        kde
Summary:        The translation-filter KDE based UI
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}
Requires:       PyQt4

%description    kde
KDE UI for translation-filter
%endif


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-install                     \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/translation-filter.desktop

desktop-file-install                   \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/translation-filter-kde.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%if 0%{?rhel}
%exclude
%{python_sitelib}/Translationfilter/TranslationApp.py*
%{_bindir}/translation-filter-gui
%{_datadir}/translationfilter/ui/*
%{_datadir}/applications/translation-filter-kde-fedora.desktop
%{_datadir}/applications/*-kde.desktop
%endif


%if 0%{?fedora}
%files kde
%defattr(-,root,root,-)
%{python_sitelib}/Translationfilter/TranslationApp.py*
%{_bindir}/translation-filter-gui
%{_datadir}/translationfilter/ui/*
%{_datadir}/applications/translation-filter-kde.desktop
%endif

%files
%defattr(-,root,root,-)
%doc docs/README docs/ChangeLog docs/COPYING
# For noarch packages: sitelib
%{python_sitelib}/Translationfilter/BasicTranslation.py*
%{python_sitelib}/Translationfilter/poparser.py*
%{python_sitelib}/Translationfilter/__init__.py*
%{python_sitelib}/*.egg-info
%{_bindir}/translation-filter
%{_bindir}/translation-filter-gnome
%{_datadir}/translationfilter/data/*
%{_datadir}/translationfilter/tf-gnome/*
%{_datadir}/pixmaps/translation-filter.png
%{_datadir}/applications/translation-filter.desktop

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 11 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.0-6
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Jul 29 2009 Kushal Das <kushal@fedoraproject.org> 1.0-1
- The 1.0 release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.0.2-3
- Rebuild for Python 2.6

* Mon Aug 11 2008 Kushal Das <kushal@fedoraproject.org> 0.0.2-2
- Fixed BR and LICENSE issue

* Wed Aug 06 2008 Kushal Das <kushal@fedoraproject.org> 0.0.2-1
- New version 

* Mon Aug 04 2008 Kushal Das <kushal@fedoraproject.org> 0.0.1-1
- Initial release

